Cards
Respond to 3DS challenge
POST
https://api.firstleeward.com/v0/card-3ds-challenges/:challengeId/respondApproves or rejects a 3DS authentication challenge. Must respond within 5 minutes of the challenge being created.
Authorizations
Authorizationstring · headerrequiredAPI key as Bearer token, e.g. Bearer YOUR_API_KEY
Headers
Leeward-Versionenum<string>requiredAPI version (YYYY-MM-DD). Available option: 2026-09-18
Path Parameters
challengeIdstring<uuid>requiredBody
application/json
approvebooleanrequiredWhether to approve or reject the 3DS challenge
Response
2003DS challenge response
idstring<uuid>requiredUnique 3DS challenge identifier
cardIdstring<uuid>requiredID of the card this challenge is for
statusstringrequiredChallenge status
Available options:
PENDINGAPPROVEDREJECTEDEXPIREDmerchantobjectrequiredMerchant details
Show child attributes
namestringrequiredMerchant name
countryCodestringrequiredMerchant country code (ISO numeric)
transactionobjectrequiredTransaction details
Show child attributes
amountstringrequiredTransaction amount
currencystringrequiredTransaction currency (ISO alpha-3)
timestampstringrequiredISO 8601 timestamp of the transaction
expiresAtstringrequiredISO 8601 timestamp when this challenge expires
400The card or account is not in a valid state to complete this 3DS challenge
errorobjectrequiredShow child attributes
codestringrequiredmessagestringrequireddetailobject | nullrequired404Response for status 404
Option 1 · ThreeDsChallengeNotFoundError
errorobjectrequiredShow child attributes
codestringrequiredmessagestringrequireddetailobject | nullrequiredOption 2 · CardNotFoundError
errorobjectrequiredShow child attributes
codestringrequiredmessagestringrequireddetailobject | nullrequired4093DS challenge has already been responded to
errorobjectrequiredShow child attributes
codestringrequiredmessagestringrequireddetailobject | nullrequired4103DS challenge has expired
errorobjectrequiredShow child attributes
codestringrequiredmessagestringrequireddetailobject | nullrequired